@import "../../../../assets/styles/main.scss";

.iconContainer {
  cursor: pointer;
  display: inline-block;
  width: fit-content;
  z-index: 9;
}

.icon {
  transition: fill 0.3s ease, background-color 0.3s ease;
}

.iconBackground {
  transition: fill 0.3s ease;
  fill: white;
}

.iconHeart {
  transition: fill 0.3s ease;
  fill: black;
}

.iconToggled .iconBackground {
  fill: #f47500;
}

.iconToggled .iconHeart {
  fill: white;
}
